﻿<?xml version="1.0" encoding="utf-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="xml" omit-xml-declaration="yes" indent="yes" encoding="utf-8" media-type="text/html; charset=utf-8" />
  <xsl:template match="rss/channel">
    <a><xsl:attribute name="href"><xsl:value-of select="link"/></xsl:attribute><xsl:attribute name="target"><xsl:text>top</xsl:text></xsl:attribute><xsl:value-of select="title"/></a>
    &#160;<xsl:value-of select="lastBuildDate"/>
    <ul>
      <xsl:for-each select="//item">
      <li>
        <a><xsl:attribute name="href"><xsl:value-of select="link"/></xsl:attribute><xsl:attribute name="target"><xsl:text>top</xsl:text></xsl:attribute><xsl:value-of select="title"/></a>
        &#160;<xsl:value-of select="description" disable-output-escaping="yes" />
      </li>
      </xsl:for-each>
    </ul>
  </xsl:template>
  <xsl:template match="/">
    <xsl:apply-templates/>
  </xsl:template>
</xsl:stylesheet>
